# $Revision: 1.19 $, $Date: 2006/04/20 14:31:06 $
Summary:	SIM - Simple Instant Messenger
Summary(pl):	SIM - Simple Instant Messenger - prosty komunikator
Name:		sim
Version:	0.9.3
Release:	7
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/sim-icq/%{name}-%{version}.tar.gz
# Source0-md5:	c277579df074c31c5dc09a876bde50f4
Source1:	%{name}.desktop
Patch0:		%{name}-am19.patch
URL:		http://sim-icq.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	arts-devel
BuildRequires:	fam-devel
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libxslt-devel
BuildRequires:	qt-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
Requires:	kdelibs >= 9:3.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugins-based instant messenger with support for various protocols.
All protocols support richtext-messages, file transfer, typing
notification, server-side contact list (with postponed synchronization
- you can change contact list in offline mode and after log on all
changes will be synchronized with server), new account registration,
various searches and HTTP-polling. You can use some accounts for each
protocols. Supported protocols: Oscar - ICQ and AIM support, Jabber,
LiveJournal, MSN, Yahoo! and others.

%description -l pl
Prosty komunikator bazujcy na wtyczkach ze wsparciem dla rnych
protokow. Wszystkie protokoy wspieraj wiadomoci richtext,
transfer plikw, sygnalizowanie pisania, lista kontaktw po stronie
serwera (z opnion synchronizacj - moesz zmienia list kontaktw
bdc offline - po zalogowaniu online zmiany zostan zsynchronizowane,
rejestracja nowych kont, rne rodzaje przeszukiwa, pooling HTTP.
Moesz uywa niektrych kont dla kadego protokou. Wspierane
protokou: Oscar - ICQ oraz AIM, Jabber, LiveJournal, MSN, Yahoo! i
inne.

%prep
%setup -q
%patch -p1

%{__perl} -pi -e 's@^sim_plugindir=.*@sim_plugindir="%{_libdir}/sim"@' configure.in.in

%build
%{__make} -f admin/Makefile.common
%configure \
	KDEDIR=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

# it is _not_ in swahili
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/sw
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/sim
%attr(755,root,root) %{_bindir}/simctrl
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/sim
%attr(755,root,root) %{_libdir}/sim/*.so
%{_datadir}/apps/sim
%{_datadir}/services/*.desktop
# already in kdelibs
#%{_datadir}/mimelnk/application/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_desktopdir}/sim.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sim.spec,v $
Revision 1.19  2006/04/20 14:31:06  ankry
- en fixed, rel. 7

Revision 1.18  2005/05/15 00:38:47  ankry
- fix build

Revision 1.17  2005/05/14 11:31:32  ankry
- really rm bogus swahili locale, rel. 6

Revision 1.16  2004/10/31 17:00:40  paladine
- spaces->tabs
- formatting

Revision 1.15  2004/10/29 10:29:13  paladine
- spelling fixes

Revision 1.14  2004/09/19 22:35:02  ankry
- remove bogus translation file, rel. 5

Revision 1.13  2004/09/15 04:06:06  ankry
- remove conflict with kdelibs, rel. 4

Revision 1.12  2004/07/20 18:52:02  qboosh
- fixed build on amd64, release 3

Revision 1.11  2004/07/20 12:03:01  qboosh
- moved icons to proper place, dropped locolor ones; release 2

Revision 1.10  2004/06/13 20:44:52  kolodko
- added missing BR

Revision 1.9  2004/04/05 16:45:10  arekm
- updated to 0.9.3

Revision 1.8  2003/11/09 01:31:02  qboosh
- unifications

Revision 1.7  2003/09/30 09:11:39  adamg
- updated to 0.8.3
- BR: fam-devel, libart_lgpl-devel

Revision 1.6  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.5  2003/08/18 08:09:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/06/20 09:41:30  ankry
- md5

Revision 1.3  2003/06/04 13:15:08  qboosh
- fixed pixmapsdir

Revision 1.2  2003/06/03 20:00:41  qboosh
- pl, cleanups; TODO: fix pixmaps dir

Revision 1.1  2003/05/28 18:06:42  djurban
- based on spec from rh9, adapterized
- added vfolders support
